Subject: Re: [MeeGo-Dev][PATCH] Topcliff: Update PCH_CAN driver to 2.6.35

From: Wolfgang Grandegger <[email-masked]>
Date: Wed, 15 Sep 2010 14:11:06 +0200

On 09/15/2010 02:04 PM, Marc Kleine-Budde wrote:
> On 09/15/2010 12:55 PM, Wolfgang Grandegger wrote:
>>> Just a remark:
>>>
>>> During the IDF the informations about the Topcliff Controller Hub have been
>>> reworked, so that some of the documentation became available for the public:
>>>
>>> http://edc.intel.com/Platforms/Atom-E6xx/#hardware
>>>
>>> Especially the Datasheet for the Platform Controller Hub EG20T can be found:
>>>
>>> http://download.intel.com/embedded/chipsets/datasheet/324211.pdf
>>>
>>> In chapter 13 there are some details about the CAN controller.
>>
>> Ah, thanks for the link. The CAN controller seems then to be similar to
>> the OKI MSM9225B.
> 
> According to the datasheet for the msm9225 I found, the chip has got an
> 8 bit interface (mmap'ed or spi). The Intel is 32 bit based (most, maybe
> all, upper 16 bit are marked as reserverd).

I said *similar*, especially in respect to ability of combining RX
message objects to a fifo.

Wolfgang.